POST
/
index
Index initiate transaction.
curl --request POST \
  --url https://{environment}.garden.finance/v3/index \
  --header 'Content-Type: application/json' \
  --header 'garden-app-id: <api-key>' \
  --data '
{
  "id": "<string>",
  "tx_hash": "<string>"
}
'
{
  "error": "<string>"
}
Submit the transaction hash of your initiate so the swap is picked up immediately. Optional, as swaps are detected automatically.

Authorizations

garden-app-id
string
header
required

If you do not yet have an app ID, please follow these steps.

Body

application/json
id
string
required

The quote id returned by POST /quote.

tx_hash
string
required

Hash of the transaction that funded the source leg.

Response

Accepted for indexing.